{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macros %}

{% block pageTitle 'Tableau de bord' %}

{% block pageTable %}
    {% if sittings |length == 0 %}
        <div class="text-center form-white">
            Aucune séance en cours
        </div>
    {% endif %}

    {% for sitting in sittings %}
        <table class="table table-striped bg-white ">
            <thead>
                <tr>
                    <th class="text-primary expand-icon expandable" title="Déplier" style="font-size: 1.2em" >
                        <span class="ms-2">{{ sitting.name }} {{ sitting.date | date('d/m/Y : H:i', timezone) }}</span>
                    </th>
                </tr>

                <tr class="d-flex hidden">
                    <th class="col-3">Utilisateur</th>
                    <th class="col-2">Date d'envoi</th>
                    <th class="col-2">Date de reception</th>
                    <th class="col-2">Présence</th>
                    <th class="col-3">Mandataire/Suppléant</th>
                </tr>
            </thead>
            <tbody class="hidden">
                {% for convocation in sitting.convocations %}
                    <tr class="d-flex">
                        <td class="col-3">{{ convocation.user.lastname }} {{ convocation.user.firstname }}</td>
                        <td class="col-2">
                            {% if convocation.sentTimestamp is not null %}
                                <span class="text-success fas fa-check d-block me-2" title="Envoyé"></span>
                                {{ convocation.sentTimestamp.createdAt |  date('d/m/Y : H:i', timezone) }}

                            {% else %}
                                <span class="text-danger fa fa-times me-2" title="Non envoyé"></span>
                            {% endif %}
                        </td>
                        <td class="col-2">
                            {% if convocation.receivedTimestamp is not null %}
                                <span class="text-success fas fa-check" title="Reçu"></span>
                                {{ convocation.receivedTimestamp.createdAt |  date('d/m/Y : H:i', timezone) }}
                            {% else %}
                                <span class="text-danger fa fa-times" title="non reçu"> </span>
                            {% endif %}
                        </td>
                        <td class="col-2">
                            {% if convocation.attendance is null %}
                                <span class="text-warning fas fa-question" title="Sans réponse"></span>
                            {% elseif convocation.attendance == 'present' %}
                                <span class="text-success fas fa-check" title="Présent"> </span>
                            {% elseif convocation.attendance == 'remote' %}
                                <span class="text-success" title="En distanciel"><i class="fas fa-laptop-house "></i> </span>
                             {% elseif convocation.attendance == 'deputy' %}
                                 <span class="text-info" title="Remplacé par son suppléant"><i class="fa fa-arrow-right-arrow-left"></i> </span>
                             {% elseif convocation.attendance == 'poa' %}
                                 <span class="text-info" title="Donne pouvoir par procuration"><i class="fa fa-arrows-left-right"></i> </span>

                             {% else %}
                                <span class="text-danger fa fa-times" title="Absent"> </span>
                            {% endif %}
                        </td>
                        <td class="col-3">
                            {% if convocation.deputy is not null %}
                                {{ convocation.deputy.lastname }} {{ convocation.deputy.firstname }}
                            {% endif %}
                            {% if convocation.mandator is not null %}
                                {{ convocation.mandator.lastname }} {{ convocation.mandator.firstname }}
                            {% endif %}
                        </td>
                    </tr>
                {% endfor %}
                <tr>
                </tr>
            </tbody>
        </table>
    {% endfor %}
{% endblock %}

{% block javascripts %}
{{ encore_entry_script_tags('accordeonTitle') }}
{% endblock %}





